Bug 842249 - It is possible to configure Non VM Network on VM when editing the VNIC
It is possible to configure Non VM Network on VM when editing the VNIC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Alona Kaplan
GenadiC
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 04:51 EDT by GenadiC
Modified: 2016-02-10 14:50 EST (History)
7 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GenadiC 2012-07-23 04:51:28 EDT
Description of problem:
If you edit NIC on VM you can configure Non VM network on it


How reproducible:

Always
Steps to Reproduce:
1. Edit Network Interface on VM
2. Choose Non VM network for Vm
3. Press ok button
  
Actual results:
VM has Non VM network configured on it

Expected results:

Adding Non VM network to VM should fail or Non VM network should be grayed out

Additional info:

Adding Non VM network to the new NIC fails when clicking ok button, and editing NIC succeeds. It fails only when you try to run VM
Comment 1 lpeer 2012-07-23 06:57:56 EDT
editing nicto reference a non-vm network should be blocked on the engine side as well.
Comment 2 Yaniv Kaul 2012-07-23 08:23:50 EDT
(In reply to comment #1)
> editing nicto reference a non-vm network should be blocked on the engine
> side as well.

So do we need a separate BZ for backend, or move this to it?
Comment 3 lpeer 2012-07-23 08:30:51 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > editing nicto reference a non-vm network should be blocked on the engine
> > side as well.
> 
> So do we need a separate BZ for backend, or move this to it?

I though Alona can fix both validations but if you want you can open an additional BZ on engine
Comment 4 Alona Kaplan 2012-07-25 12:31:36 EDT
fixed in commit d418cda19e8b26f9012ed1de304ea1864fb580ae
Comment 6 Alona Kaplan 2012-08-02 03:55:12 EDT
The previous fix contained just the new vnic dialog.
The for the edit dialog in 8f4597e76fe45ddb64feb7d7423740292b0aefa9
Comment 7 GenadiC 2012-08-16 05:30:30 EDT
Verified in SI14

Note You need to log in before you can comment on or make changes to this bug.